import React from 'react';
import ReactDOM from 'react-dom/client';
import { BrowserRouter } from 'react-router-dom';
import App from './apps';

//Utils
import './utils/axios-interceptor.ts';
import './utils/credential-checker.ts';

// Styles
import '@pos/assets/styles/main.less';

ReactDOM.createRoot(document.getElementById('root')!).render(
  <React.StrictMode>
    <BrowserRouter>
      <App />
    </BrowserRouter>
  </React.StrictMode>,
);
