export * from './report-group.constant';

export const MODULE_KEY = {
  DASHBOARD: 'DASHBOARD',
  CALENDAR: 'CALENDAR',
  BOOKING: 'BOOKING',
  REFUND: 'REFUND',
  RECONCILIATION: 'RECONCILIATION',
  ITEM: {
    INDEX: 'ITEM',
    ITEM_ITEM_RATE: 'ITEM.ITEM_RATE',
    ITEM_ITEM: 'ITEM.ITEM',
    ITEM_ITEM_CATEGORY: 'ITEM.ITEM_CATEGORY',
  },
  SEASON: {
    INDEX: 'SEASON',
    SEASON_TYPE: 'SEASON.SEASON_TYPE',
    SEASON_PERIOD: 'SEASON.SEASON_PERIOD',
  },
  USER: {
    INDEX: 'USER',
    USER_USER: 'USER.USER',
    USER_USER_PRIVILEGE: 'USER.USER_PRIVILEGE',
  },
  TENANT: 'TENANT',
  CMS: {
    INDEX: 'WEB_INFORMATION',
    CMS_TERMS_AND_CONDITION: 'WEB_INFORMATION.TERMS_AND_CONDITION',
    CMS_FAQ: 'WEB_INFORMATION.FAQ',
    CMS_NEWS: 'WEB_INFORMATION.NEWS',
    CMS_BANNER: 'WEB_INFORMATION.BANNER',
  },
  SETTING: {
    INDEX: 'SETTING',
    SETTING_TAX: 'SETTING.TAX',
    SETTING_VIP_CATEGORY: 'SETTING.VIP_CATEGORY',
    SETTING_PAYMENT_METHOD: 'SETTING.PAYMENT_METHOD',
    SETTING_GATE: 'SETTING.GATE',
    SETTING_PROFIT_SHARE_FORMULA: 'SETTING.PROFIT_SHARE_FORMULA',
    SETTING_SALES_PRICE_FORMULA: 'SETTING.SALES_PRICE_FORMULA',
    SETTING_QR_SUPER_ADMIN: 'SETTING.QR_SUPER_ADMIN',
  },
  REPORT: { INDEX: 'REPORT', REPORT_TRANSACTION: 'REPORT.TRANSACTION', REPORT_TENANT: 'REPORT.TENANT' },
  REPORT_TENANT: 'REPORT_TENANT',
  DISCOUNT_CODE: 'DISCOUNT_CODE',
  DOWNLOAD_POS_APP: 'DOWNLOAD_POS_APP',
};
