import { defineConfig } from 'vite';
import react from '@vitejs/plugin-react-swc';
import path from 'path';

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [react()],
  resolve: {
    alias: {
      '@pos/assets': path.resolve(__dirname, './src/base/presentation/assets'),
      '@pos/base': path.resolve(__dirname, './src/base'),
      '@pos': path.resolve(__dirname, './src/'),
    },
  },
});
